# yaml file for deploying nginx docker image on 2 pods of kubernetes
apiVersion: apps/v1beta1
kind: Deployment
metadata:
  name: webserver
  labels:
    app: nginx
spec:
  replicas: 2
  selector:
    matchLabels:
      app: nginx
  template:
    metadata:
      labels:
        app: nginx
    spec:
      containers:
      - name: nginx
        image: nginx:alpine
        ports:
        - containerPort: 80